# Interface EndpointConfig

All Known Subinterfaces:
  `ClientEndpointConfig`, `ServerEndpointConfig`

public interface EndpointConfig

## Method Summary

Modifier and Type
Method
Description
`List<Class<? extends Decoder>>`
`getDecoders()`
`List<Class<? extends Encoder>>`
`getEncoders()`
`Map<String,Object>`
`getUserProperties()`

## Method Details

### getEncoders

List<Class<? extends Encoder>> getEncoders()

### getDecoders

List<Class<? extends Decoder>> getDecoders()

### getUserProperties

Map<String,Object> getUserProperties()